Subject: Re: [PATCH net] net: dsa: sja1105: Fix double delivery of TX timestamps to socket error queue

From: Richard Cochran <[email-masked]>
Date: Fri, 27 Dec 2019 07:19:16 -0800

On Thu, Dec 26, 2019 at 05:52:32PM -0800, Richard Cochran wrote:
> On Thu, Dec 26, 2019 at 08:24:19PM +0200, Vladimir Oltean wrote:
> > How will these drivers not transmit a second hw TX timestamp to the
> > stack, if they don't check whether TX timestamping is enabled for
> > their netdev?
> 
> Ah, so they are checking SKBTX_HW_TSTAMP on the socket without
> checking for HWTSTAMP first?

Thinking a bit more about this, MAC drivers should not attempt any
time stamping unless that functionality has been enabled at the device
level using HWTSTAMP.  This is the user space API.

So, if you want to fix those drivers, you can submit patches with the
above justification.  That is a stronger argument than saying it
breaks DSA drivers!

Thanks,
Richard